file.hpp File Reference
`#include <cstddef>`
`#include <stdexcept>`
`#include <sstream>`
`#include <string>`
`#include <vector>`
`#include <osmium/io/error.hpp>`
`#include <osmium/io/file_format.hpp>`
`#include <osmium/io/file_compression.hpp>`
`#include <osmium/util/options.hpp>`
`#include <osmium/util/compatibility.hpp>`
Include dependency graph for file.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::io::File

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::io
| Everything related to input and output of OSM data.